Package ru.bitel.bgbilling.plugins.crm.common.model

# Class RegisterProblem

java.lang.Object
bitel.billing.common.ModelItem
ru.bitel.bgbilling.plugins.crm.common.model.RegisterProblem

All Implemented Interfaces:
  `Serializable`, `ListItem`

public class RegisterProblem extends bitel.billing.common.ModelItem implements ListItem

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `FIELD_CATEGORY_ID`
  `static final String`
  `FIELD_CLOSE_TIME`
  `static final String`
  `FIELD_CLOSE_USER_ID`
  `static final String`
  `FIELD_COMMENT`
  `static final String`
  `FIELD_GROUP_ID`
  `static final String`
  `FIELD_ID`
  `static final String`
  `FIELD_OBJECT_ID`
  `static final String`
  `FIELD_OPEN_TIME`
  `static final String`
  `FIELD_OPEN_USER_ID`
  `static final String`
  `FIELD_RESOLUTION`
  `static final String`
  `FIELD_STATUS`
  `static final String`
  `FIELD_STATUS_TIME`
  `static final String`
  `FIELD_STATUS_USER_ID`
  `static final String`
  `FIELD_URGENCY`
  `static final String`
  `STATUS_LIST`

  ### Fields inherited from class bitel.billing.common.ModelItem

  `keys`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegisterProblem()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `List<RegisterCall>`
  `getCalls()`
  `int`
  `getCategoryId()`
  `Date`
  `getCloseTime()`
  `String`
  `getCloseTimeAsString()`
  `int`
  `getCloseUserId()`
  `String`
  `getComment()`
  `Date`
  `getDateValue(String key)`
  `List<String>`
  `getExecutors()`
  `int`
  `getGroupId()`
  `int`
  `getId()`
  `int`
  `getObjectId()`
  `Date`
  `getOpenTime()`
  `String`
  `getOpenTimeAsString()`
  `int`
  `getOpenUserId()`
  `String`
  `getResolution()`
  `int`
  `getStatus()`
  `Date`
  `getStatusTime()`
  `String`
  `getStatusTimeAsString()`
  `int`
  `getStatusUserId()`
  `List<String>`
  `getTasks()`
  `String`
  `getTitle()`
  `int`
  `getUrgency()`
  `RegisterProblem`
  `setCalls(List<RegisterCall> calls)`
  `RegisterProblem`
  `setCategoryId(int categoryId)`
  `RegisterProblem`
  `setCloseTime(Date date)`
  `RegisterProblem`
  `setCloseUserId(int closeUserId)`
  `RegisterProblem`
  `setComment(String comment)`
  `RegisterProblem`
  `setExecutors(List<String> executors)`
  `RegisterProblem`
  `setGroupId(int groupId)`
  `RegisterProblem`
  `setId(int id)`
  `RegisterProblem`
  `setObjectId(int objectId)`
  `RegisterProblem`
  `setOpenTime(Date date)`
  `RegisterProblem`
  `setOpenUserId(int openUserId)`
  `RegisterProblem`
  `setResolution(String resolution)`
  `RegisterProblem`
  `setStatus(int status)`
  `RegisterProblem`
  `setStatusTime(Date date)`
  `RegisterProblem`
  `setStatusUserId(int userId)`
  `RegisterProblem`
  `setTasks(List<String> tasks)`
  `RegisterProblem`
  `setUrgency(int urgency)`
  `RegisterProblem`
  `setValue(String key, Date value)`

  ### Methods inherited from class bitel.billing.common.ModelItem

  `getAllKey, getAllowKeys, getBooleanValue, getDecimalValue, getElementName, getIntValue, getValue, getXMLValue, hasValue, loadFromXML, removeValue, saveToXML, setValue, setValue, setValue, setValue, setValue`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FIELD_ID

    public static final String FIELD_ID
    See Also:
      - Constant Field Values

  - ### FIELD_STATUS

    public static final String FIELD_STATUS
    See Also:
      - Constant Field Values

  - ### FIELD_URGENCY

    public static final String FIELD_URGENCY
    See Also:
      - Constant Field Values

  - ### FIELD_COMMENT

    public static final String FIELD_COMMENT
    See Also:
      - Constant Field Values

  - ### FIELD_GROUP_ID

    public static final String FIELD_GROUP_ID
    See Also:
      - Constant Field Values

  - ### FIELD_RESOLUTION

    public static final String FIELD_RESOLUTION
    See Also:
      - Constant Field Values

  - ### FIELD_CATEGORY_ID

    public static final String FIELD_CATEGORY_ID
    See Also:
      - Constant Field Values

  - ### FIELD_OBJECT_ID

    public static final String FIELD_OBJECT_ID
    See Also:
      - Constant Field Values

  - ### FIELD_OPEN_TIME

    public static final String FIELD_OPEN_TIME
    See Also:
      - Constant Field Values

  - ### FIELD_OPEN_USER_ID

    public static final String FIELD_OPEN_USER_ID
    See Also:
      - Constant Field Values

  - ### FIELD_STATUS_TIME

    public static final String FIELD_STATUS_TIME
    See Also:
      - Constant Field Values

  - ### FIELD_STATUS_USER_ID

    public static final String FIELD_STATUS_USER_ID
    See Also:
      - Constant Field Values

  - ### FIELD_CLOSE_TIME

    public static final String FIELD_CLOSE_TIME
    See Also:
      - Constant Field Values

  - ### FIELD_CLOSE_USER_ID

    public static final String FIELD_CLOSE_USER_ID
    See Also:
      - Constant Field Values

  - ### STATUS_LIST

    public static final String STATUS_LIST
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RegisterProblem

    public RegisterProblem()

- ## Method Details

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### getCalls

    public List<RegisterCall> getCalls()

  - ### getCategoryId

    public int getCategoryId()

  - ### getCloseTime

    public Date getCloseTime()

  - ### getCloseTimeAsString

    public String getCloseTimeAsString()

  - ### getCloseUserId

    public int getCloseUserId()

  - ### getComment

    public String getComment()

  - ### getDateValue

    public Date getDateValue(String key)
    Overrides:
      `getDateValue` in class `bitel.billing.common.ModelItem`

  - ### getExecutors

    public List<String> getExecutors()

  - ### getGroupId

    public int getGroupId()

  - ### getId

    public int getId()
    Specified by:
      `getId` in interface `ListItem`

  - ### getObjectId

    public int getObjectId()

  - ### getOpenTime

    public Date getOpenTime()

  - ### getOpenTimeAsString

    public String getOpenTimeAsString()

  - ### getOpenUserId

    public int getOpenUserId()

  - ### getResolution

    public String getResolution()

  - ### getStatus

    public int getStatus()

  - ### getStatusTime

    public Date getStatusTime()

  - ### getStatusTimeAsString

    public String getStatusTimeAsString()

  - ### getStatusUserId

    public int getStatusUserId()

  - ### getTasks

    public List<String> getTasks()

  - ### getTitle

    public String getTitle()
    Specified by:
      `getTitle` in interface `ListItem`

  - ### getUrgency

    public int getUrgency()

  - ### setCalls

    public RegisterProblem setCalls(List<RegisterCall> calls)

  - ### setCategoryId

    public RegisterProblem setCategoryId(int categoryId)

  - ### setCloseTime

    public RegisterProblem setCloseTime(Date date)

  - ### setCloseUserId

    public RegisterProblem setCloseUserId(int closeUserId)

  - ### setComment

    public RegisterProblem setComment(String comment)

  - ### setExecutors

    public RegisterProblem setExecutors(List<String> executors)

  - ### setGroupId

    public RegisterProblem setGroupId(int groupId)

  - ### setId

    public RegisterProblem setId(int id)

  - ### setObjectId

    public RegisterProblem setObjectId(int objectId)

  - ### setOpenTime

    public RegisterProblem setOpenTime(Date date)

  - ### setOpenUserId

    public RegisterProblem setOpenUserId(int openUserId)

  - ### setResolution

    public RegisterProblem setResolution(String resolution)

  - ### setStatus

    public RegisterProblem setStatus(int status)

  - ### setStatusTime

    public RegisterProblem setStatusTime(Date date)

  - ### setStatusUserId

    public RegisterProblem setStatusUserId(int userId)

  - ### setTasks

    public RegisterProblem setTasks(List<String> tasks)

  - ### setUrgency

    public RegisterProblem setUrgency(int urgency)

  - ### setValue

    public RegisterProblem setValue(String key, Date value)
    Overrides:
      `setValue` in class `bitel.billing.common.ModelItem`